package com.njyunzhi.pet_identity.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 宠物证件
 * </p>
 *
 * @author yansen
 * @since 2022-05-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaPetIdentity对象", description="宠物证件")
public class TaPetIdentity implements Serializable {

    @ExcelIgnore
    private static final long serialVersionUID = 1L;

    @ExcelIgnore
    @ApiModelProperty(value = "证件ID")
    @TableId(value = "card_id", type = IdType.UUID)
    private String cardId;

    @ExcelProperty(value = "证件号码", index = 6)
    @ApiModelProperty(value = "证件号码")
    private String cardNo;

    @ExcelIgnore
    @ApiModelProperty(value = "属主ID")
    private String personId;

    @ExcelProperty(value = "犬主", index = 1)
    @ApiModelProperty(value = "属主姓名")
    private String personName;

    @ExcelIgnore
    @ApiModelProperty(value = "属主手机")
    private String phone;

    @ExcelIgnore
    @ApiModelProperty(value = "宠物ID")
    private String petId;

    @ExcelProperty(value = "犬名", index = 2)
    @ApiModelProperty(value = "宠物名称")
    private String petName;

    @ExcelIgnore
    @ApiModelProperty(value = "宠物性别")
    private Integer petSex;

    @ExcelProperty(value = "毛色", index = 4)
    @ApiModelProperty(value = "毛色")
    private String petColor;

    @ExcelProperty(value = "犬种", index = 3)
    @ApiModelProperty(value = "宠物类别")
    private String petType;

    @ExcelProperty(value = "狗照片", index = 7)
    @ApiModelProperty(value = "宠物照片")
    private String petImg1;

    @ExcelIgnore
    @ApiModelProperty(value = "宠物照片")
    private String petImg2;

    @ExcelProperty(value = "地址", index = 5)
    @ApiModelProperty(value = "详细地址")
    private String address;

    @ExcelIgnore
    @ApiModelProperty(value = "起始期;格式YYYY-MM-DD")
    private String startDate;

    @ExcelIgnore
    @ApiModelProperty(value = "有效期;格式YYYY-MM-DD")
    private String expireDate;

    @ExcelIgnore
    @ApiModelProperty(value = "状态;1正常,2挂失,3过期")
    private Integer status;

    @ExcelIgnore
    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;

    @ExcelIgnore
    @ApiModelProperty(value = "是否企业",notes = "")
    private Boolean isOrg ;

    @ExcelIgnore
    @ApiModelProperty(value = "企业ID",notes = "")
    private String orgId ;

    @ExcelIgnore
    @ApiModelProperty(value = "企业名称",notes = "")
    private String orgName ;

    @ExcelIgnore
    @ApiModelProperty(value = "营业执照",notes = "")
    private String orgLicense ;

    @ExcelIgnore
    @ApiModelProperty(value = "伤人信息",notes = "")
    private String criminalInfo ;

    @ExcelIgnore
    @ApiModelProperty(value = "处罚信息",notes = "")
    private String penaltyInfo ;

    @ExcelProperty(value = "小程序码", index = 8)
    @TableField(exist = false)
    @ApiModelProperty(value = "二维码",notes = "")
    private String qrImage ;

}
